Subject: bug#31492: 26.1; query-replace-regexp undo fails in regexps w/o printable chars

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 May 2018 17:16:01 +0300

> From: Tino Calancha <[email-masked]>
> Date: Fri, 18 May 2018 22:27:36 +0900
> 
> emacs -Q
> 
> < C-M-% \b RET foo RET TAB TAB TAB
> U ; undo all replacements
> ;; Nothing is undid :-(

I'm probably missing something, because I cannot reproduce the problem
(and therefore don't understand the solution).  When I repeat what you
show above, I get "replaced 0 occurrences", and therefore there's
nothing to undo in the first place...

I guess the explanation is in what does "<" mean and, more
importantly, what did you actually type instead of "\b".

Or maybe some command is missing before the recipe begins?

TIA